- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
WPSCell::Compare Struct Reference

a comparaison structure used retrieve the rows and the columns More...

`#include <WPSCell.h>`

## Classes
struct | Point
| small structure to define a cell point More...

## Public Member Functions
| Compare (int dim)
bool | operator() (Point const &c1, Point const &c2) const
| comparaison function More...

## Public Attributes
int | m_coord
| the coord to compare More...

## Detailed Description

a comparaison structure used retrieve the rows and the columns

## Constructor & Destructor Documentation

WPSCell::Compare::Compare | ( | int | dim | ) |
| inline

## Member Function Documentation

bool WPSCell::Compare::operator() | ( | Point const & | c1,
|  | Point const & | c2
| ) |  | const
| inline

comparaison function

## Member Data Documentation

int WPSCell::Compare::m_coord

the coord to compare

Referenced by operator()().

The documentation for this struct was generated from the following file:

- WPSCell.h